Bug 46385 - Installation failed with warning - cylinder number is too large
Installation failed with warning - cylinder number is too large
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-28 04:30 EDT by Xu Cheng
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-10 23:00:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Xu Cheng 2001-06-28 04:30:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)

Description of problem:
After post-installation, before prompting for creating a bootdisk, the 
warning message is displayed saying something about cylinder number is too 
big (4008). After rebooting it looks that lilo is not installed to MBR, 
and using boot disk can't boot linux as well.

I am using a 40GB hardisk with the last 10GB reserved for Linux. Starting 
from cylinder 4008, ends at 5005.

How reproducible:
Always

Steps to Reproduce:
1. Partition disk such that cylinder 4008 - 5005 is "/" (the only Linux 
Native partiotion).
2. Install as per normal.
3.
	

Additional info:
Comment 1 Brent Fox 2001-06-30 12:22:57 EDT
I have not seen this problem before.  You might try again and make a /boot
partition (about 25MB or so).
Comment 2 Xu Cheng 2001-07-03 00:03:43 EDT
I can't create boot partition because I have already had two FAT32 partitions, 
and I need one /, one swap. Is there anyway to create one more /boot, to make 
it 5 partitions in one harddisk?
Comment 3 Xu Cheng 2001-07-08 22:15:06 EDT
I found it is because LILO can't handle cylinder number > 1023 if use MBR. Is 
there a way to fix it? I hate using floppy to boot into Linux - so slow!
Comment 4 Need Real Name 2001-07-10 23:00:26 EDT
I have had the same problem when I was trying to install Redhat Linux 7.0 on my 
system with 2 partitions. I tried changing the amount of space on the second 
partition so that I could some left over in unformatted space, but, like you, I 
got an error telling me that I needed to have an extra primary partition left 
over for the /boot directory or the <swap> directory (it actually happens to 
what ever Linux partition that is made last under disk druid). I then gave up 
and found out that I had to have one Win32 partition and the rest Linux 
partitions and arranged it that way. Needless to say. the installation went 
without any problems and I was able to boot into linux. Later, when I decided 
to boot into Windows, I found that the partition that I had setup for linux had 
somehow messed with my Windows partition and put the whole hard drive in MS-DOS 
mode and practically killed Windows. I had to delete the Linux partitions and 
reassign the now free space back into Win32. Then I tried to do a partitionless 
install, using the update disk for anaconda, I found that my system could not 
process the loop created by linux and it CRASHED!! But I was able to get the 
error code:
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in 
__call__
    if todo.doInstall ():
  File "/tmp/updates/todo.py", line 1499, in doInstall
    if self.method.systemMounted (self.fstab, self.instPath, 
self.hdList.selected()):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 46, in 
systemMounted
    self.loopbackFile = mntPoint + fstab.filesystemSpace(mntPoint)[0][0] + \
IndexError: list index out of range

Local variables in innermost frame:
fstab: <fstab.NewtFstab instance at 83283b8>
mntPoint: /mnt/sysimage
selected: [ImageMagick, LPRng, MAKEDEV, Mesa, Mesa-devel, ORBit, ORBit-devel, 
SDL, SysVinit, XFree86, XFree86-75dpi-fonts, XFree86-S3, XFree86-SVGA, XFree86-
devel, XFree86-libs, XFree86-tools, XFree86-twm, XFree86-xdm, XFree86-xfs, 
Xaw3d, Xaw3d-devel, Xconfigurator, anacron, apmd, arpwatch, ash, aspell, at, 
audiofile, audiofile-devel, aumix, authconfig, autoconf, automake, awesfx, 
basesystem, bash, bc, bdflush, bind-utils, binutils, bison, bug-buddy, byacc, 
bzip2, bzip2-devel, cdda2wav, cdecl, cdp, cdparanoia, cdrecord, cdrecord-devel, 
chkconfig, chkfontpath, compat-libstdc++, console-tools, control-center, 
control-center-devel, control-panel, cpio, cpp, cproto, cracklib, cracklib-
dicts, crontabs, ctags, cvs, cyrus-sasl, db1, db1-devel, db2, db3, desktop-
backgrounds, dev, dev86, dhcpcd, dia, dialog, diffstat, diffutils, dip, 
docbook, dosfstools, dump, e2fsprogs, ed, ee, eject, elm, emacs, emacs-X11, 
emacs-nox, esound, esound-devel, exmh, expect, extace, fetchmail, file, 
filesystem, fileutils, findutils, finger, flex, fortune-mod, freeciv, freetype, 
ftp, gawk, gcc, gcc-c++, gcc-g77, gcc-objc, gd, gd-devel, gdb, gdbm, gdbm-
devel, gdk-pixbuf, gdk-pixbuf-devel, gdm, gedit, gettext, gftp, ghostscript, 
ghostscript-fonts, gimp, gimp-devel, glade, glib, glib-devel, glibc, glibc-
devel, gmc, gmp, gnome-applets, gnome-audio, gnome-audio-extra, gnome-core, 
gnome-core-devel, gnome-games, gnome-games-devel, gnome-libs, gnome-libs-devel, 
gnome-linuxconf, gnome-media, gnome-objc, gnome-objc-devel, gnome-pim, gnome-
pim-devel, gnome-print, gnome-users-guide, gnome-utils, gnorpm, gnotepad+, 
gnuchess, gnumeric, gnupg, gphoto, gpm, gpm-devel, gqview, grep, groff, groff-
perl, gtk+, gtk+-devel, gtk-engines, gtop, guile, gv, gzip, hdparm, ical, 
imlib, imlib-cfgeditor, imlib-devel, indent, indexhtml, inews, info, 
initscripts, ipchains, iproute, iptables, iputils, isapnptools, isdn-config, 
isdn4k-utils, jadetex, kbdconfig, kernel, kernel-headers, kernel-pcmcia-cs, 
kernel-source, kernel-utils, kernelcfg, kgcc, krb5-devel, krb5-libs, kudzu, 
kudzu-devel, less, libghttp, libghttp-devel, libglade, libglade-devel, libgtop, 
libgtop-devel, libjpeg, libjpeg-devel, libpng, libpng-devel, librep, libstdc++, 
libstdc++-devel, libtermcap, libtermcap-devel, libtiff, libtiff-devel, libtool, 
libtool-libs, libungif, libungif-devel, libxml, libxml-devel, lilo, links, 
linuxconf, linuxconf-devel, logrotate, losetup, lrzsz, lsof, ltrace, lynx, m4, 
magicdev, mailcap, mailx, make, man, man-pages, mc, memprof, metamail, mikmod, 
mingetty, minicom, mkbootdisk, mkinitrd, mkisofs, mktemp, mkxauth, modemtool, 
modutils, mount, mouseconfig, mpage, mpg123, mtools, multimedia, mutt, ncftp, 
ncompress, ncurses, ncurses-devel, net-tools, netcfg, netpbm, netpbm-devel, 
netpbm-progs, netscape-common, netscape-communicator, newt, newt-devel, nfs-
utils, njamd, nmh, ntsysv, openjade, openldap, openssh, openssh-askpass, 
openssh-askpass-gnome, openssh-clients, openssl, openssl-devel, pam, passwd, 
patch, pciutils, pciutils-devel, perl, pidentd, pine, playmidi, playmidi-X11, 
plugger, pmake, pnm2ppa, popt, portmap, ppp, printtool, procmail, procps, 
psgml, psmisc, pspell, pump, pwdb, pygnome, pygnome-libglade, pygtk, pygtk-
libglade, python, python-devel, python-xmlrpc, pythonlib, qt, quota, raidtools, 
rcs, rdate, readline, readline-devel, redhat-logos, redhat-release, rep-gtk, 
rep-gtk-gnome, rep-gtk-libglade, rhn_register, rhn_register-gnome, rhs-
printfilters, rmt, rootfiles, rp-pppoe, rp3, rpm, rpm-build, rpm-devel, rpm-
python, rsh, rsync, rusers, rwho, rxvt, samba-client, samba-common, sane, sash, 
sawfish, screen, sed, sendmail, setserial, setup, setuptool, sgml-common, sgml-
tools, sh-utils, shadow-utils, shapecfg, sharutils, slang, slang-devel, 
slocate, slrn, smpeg, sndconfig, sox, stat, statserial, strace, stunnel, 
stylesheets, switchdesk, switchdesk-gnome, sysklogd, talk, tar,tcl, tclx, 
tcp_wrappers, tcsh, telnet, termcap, tetex, tetex-afm, tetex-dvilj, tetex-
dvips, tetex-fonts, tetex-latex, tetex-xdvi, texinfo, textutils, time, 
timeconfig, timetool, tin, tix, tk, tkinter, tksysv, tmpwatch, traceroute, trn, 
trojka, umb-scheme, unzip, up2date, up2date-gnome, urlview, urw-fonts, 
usermode, utempter, util-linux, vim-common, vim-minimal, vixie-cron, which, 
whois, words, wvdial, xbill, xboard, xboing, xcdroast, xchat, xgammon, xinitrc, 
xisdnload, xjewel, xloadimage, xmailbox, xmms, xmorph, xpaint, xpat2, xpdf, 
xpilot, xpuzzles, xrn, xsane, xscreensaver, xsri, xtrojka, xxgdb, yp-tools, 
ypbind, zip, zlib, zlib-devel]
self: <image.CdromInstallMethod instance at 826a708>
p: cdrecord-devel
changeloop: 1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

That all of it.
Comment 5 Xu Cheng 2001-07-10 23:01:52 EDT
Problem solved using parameter "lba32" in lilo.conf.

Note You need to log in before you can comment on or make changes to this bug.